%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-ZODB3
Version:        3.9.3
Release:        1%{?dist}
Summary:        Zope Object Database: Object Database and Persistence
Group:          Development/Libraries
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/ZODB3
Source0:        http://pypi.python.org/packages/source/Z/ZODB3/ZODB3-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
# The following are needed if the %%check section is re-enabled.
#BuildRequires:  python-transaction
#BuildRequires:  python-zdaemon
#BuildRequires:  python-zope-interface
#BuildRequires:  python-zope-proxy
#BuildRequires:  python-zope-testing
Requires:       python-transaction
Requires:       python-zc-lockfile
Requires:       python-ZConfig
Requires:       python-zdaemon
Requires:       python-zope-event
Requires:       python-zope-interface
Requires:       python-zope-proxy
Requires:       python-zope-testing

Requires:       python-ZEO
Requires:       python-BTrees
Requires:       python-persistent


%description
The Zope Object Database provides an object-oriented database for Python
that provides a high-degree of transparency. Applications can take
advantage of object database features with few, if any, changes to
application logic. ZODB includes features such as a plugable storage
interface, rich transaction support, and undo.


%package     -n python-BTrees
Summary:        Zope Object Database: BTrees library
Group:          Development/Libraries
License:        ZPLv2.1
Requires:       python-transaction
Requires:       python-zc-lockfile
Requires:       python-ZConfig
Requires:       python-zdaemon
Requires:       python-zope-event
Requires:       python-zope-interface
Requires:       python-zope-proxy
Requires:       python-zope-testing

%description -n python-BTrees
A BTree library for Python. Part of python-ZODB3.

%package     -n python-persistent
Summary:        Zope Object Database: Object Persistence
Group:          Development/Libraries
License:        ZPLv2.1
Requires:       python-transaction
Requires:       python-zc-lockfile
Requires:       python-ZConfig
Requires:       python-zdaemon
Requires:       python-zope-event
Requires:       python-zope-interface
Requires:       python-zope-proxy
Requires:       python-zope-testing

%description -n python-persistent
A Python object persistence framework.

%package     -n python-ZEO
Summary:        Zope Object Database: Zope Enterprise Objects
Group:          Development/Libraries
License:        ZPLv2.1
Requires:       python-transaction
Requires:       python-zc-lockfile
Requires:       python-ZConfig
Requires:       python-zdaemon
Requires:       python-zope-event
Requires:       python-zope-interface
Requires:       python-zope-proxy
Requires:       python-zope-testing

%description -n python-ZEO
ZEO is an add-on for Zope that allows multiple processes to connect
to a single ZODB storage.


%prep
%setup -q -n ZODB3-%{version}
for script in src/{ZODB,ZEO}/{zeoctl.py,scripts/{*.py,*/*.py}}; do
  if head -n 1 "$script" | grep -q '#!'; then
    sed -i '1,1d' "$script"
  fi
done


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
for binary in fsdump fsoids fsrefs fstail mkzeoinst repozo runzeo zeoctl \
    zeopack zeopasswd; do
  mv $RPM_BUILD_ROOT{%{_bindir}/${binary},%{_libexecdir}/%{name}/${binary}}
done


# Disabled because tests fail for some reason I don't have the time to
# examine/fix.
#%%check
#%{__python} setup.py test

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc HISTORY.txt README.txt
%{python_sitearch}/ZODB*
%{_libexecdir}/%{name}
%{_includedir}/python?.?/ZODB3

%files -n python-BTrees
%defattr(-,root,root,-)
%{python_sitearch}/BTrees

%files -n python-persistent
%defattr(-,root,root,-)
%{python_sitearch}/persistent

%files -n python-ZEO
%defattr(-,root,root,-)
%{python_sitearch}/ZEO


%changelog
* Wed Oct 28 2009 Conrad Meyer <konrad@tylerc.org> - 3.9.3-1
- Bumped to 3.9.3.
- Numerous minor fixes from review (#476600).
- Split into several subpackages.

* Mon Dec 15 2008 Conrad Meyer <konrad@tylerc.org> - 3.9.0-0.1.a7
- Initial package.
